// Desktop Switching Tool
// (c) 1999 Red Hat Software, Inc.

#ifndef _SWITCHDESK_H
#define _SWITCHDESK_H

#include <qdialog.h>

class QPushButton;
class QRadioButton;
class QCheckBox;
class QLabel;

class SDDialog : public QDialog
{
  Q_OBJECT

public:
  SDDialog(QWidget *parent = 0, const char *name = 0);
  virtual ~SDDialog();

protected slots:
  void updatePic(int num);
  void updateGnomePic() { updatePic(0); } 
  void updateKDEPic() { updatePic(1); }
  void updateALPic() { updatePic(2); }
  void accept();
  void reject();

protected:
  int curSelection;

  QRadioButton *gnomeButton;
  QRadioButton *kdeButton;
  QRadioButton *alButton;
  QRadioButton *revertButton;

  QLabel *picLabel;

  QCheckBox *localBox;

  QPushButton *okButton;
  QPushButton *cancelButton;
};

#endif
